#!/usr/bin/env sh


set -eu # Exit immediately if a command exits with a non-zero status, and treat unset variables as an error.

CONF_SOURCE="$HOME/.config/hypr/env.conf.template"
CONF_TARGET="$HOME/.config/hypr/env.conf"
SH_SOURCE="$HOME/.config/hypr/env.sh.template"
SH_TARGET="$HOME/.config/hypr/env.sh"


if [ ! -f "$CONF_TARGET" ]; then
  cp "$CONF_SOURCE" "$CONF_TARGET"
  echo "Created $CONF_TARGET from template $CONF_SOURCE"
fi

if [ ! -f "$SH_TARGET" ]; then
  cp "$SH_SOURCE" "$SH_TARGET"
  echo "Created $SH_TARGET from template $SH_SOURCE"
fi
